%define sourcedir stable/%{version}/distribution/tar/generic/source

Name: jpilot-syncmal
Icon: kde-icon.xpm
Summary: jpilot-plugin to update from Avantgo and MobileLink web site to Palm's.
Version: 0.52
Release: 2mdk
Epoch: 1
Source: ftp://ftp.twocows.com/jpilot-syncmal_0.52.tar.bz2
Source2: syncmal.tar.bz2
Source1: malsync.tar.bz2
Group: Communications
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Prefix: /usr

%description
Utilities to update from Avantgo and MobileLink web site to Palm's.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n jpilot-syncmal_0.52
tar xvyf %{SOURCE2}
tar xvyf %{SOURCE1}

%build
%configure \
	--with-mal-source==mal \
	--with-plugin-prefix=%{_libdir}/jpilot/plugins
%make 

%install
cd $RPM_BUILD_DIR/jpilot-syncmal_0.52
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jpilot/plugins
cp -a $RPM_BUILD_DIR/jpilot-syncmal_0.52/.libs/libsyncmal.so $RPM_BUILD_ROOT%{_libdir}/jpilot/plugins
cp -a $RPM_BUILD_DIR/jpilot-syncmal_0.52/libsyncmal.la $RPM_BUILD_ROOT%{_libdir}/jpilot/plugins



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/*

%changelog
* Sun Sep 24 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.52-2mdk
- remove BuildArch
- some macro's
- Packager remains Christopher Molnar <molnarc@mandrakesoft.com>
- Rebuilt on build cluster

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.52-1mdk
- New RPM for Mandrake.
